;===============================================================
.input po2600l, 18, 70
.placement 5, 32
.title ' Line Items ', highlight
.paint _

.field plline, d3, pos(1,1), prompt("Line No"), fpos(1,16), -
 format("XXX")

.field plordr, d6, pos(1,45), prompt("Order No"), fpos(1,56), -
 format("XXXXXX")

.field plltyp, a1, pos(2,1), prompt("Type"), fpos(2,16)

.field pllocn, a3, pos(2,31), prompt("Location"), fpos(2,40)

.field plitem, a24, pos(3,1), prompt("Item ID"), fpos(3,16)

.field pldesc, a30, pos(4,1), prompt("Description"), fpos(4,16)

.field plvnid, a12, pos(5,1), prompt("Vendor item"), fpos(5,16)

.field plbuom, a3, pos(6,1), prompt("UOM"), fpos(6,16)
.field buomd, a25, fpos(6,20), paint(" ")

.field plorqt, d9.3, pos(7,1), prompt("Qty ordered"), fpos(7,16), -
 format("ZZZ,ZZZ.XXX-")
.field pltamt, d9.2, fpos(7,32), -
 format("$Z,ZZZ,ZZZ.XX-"), paint(" ")

.field platdk, d9.3, pos(8,1), prompt("Qty at dock"), fpos(8,16), -
 format("ZZZ,ZZZ.XXX-")
.field pldamt, d9.2, fpos(8,32), -
 format("$Z,ZZZ,ZZZ.XX-"), paint(" ")

.field placpt, d9.3, pos(9,1), prompt("Qty accepted"), fpos(9,16), -
 format("ZZZ,ZZZ.XXX-")
.field plaamt, d9.2, fpos(9,32), -
 format("$Z,ZZZ,ZZZ.XX-"), paint(" ")

.field plrjct, d9.3, pos(10,1), prompt("Qty rejected"), fpos(10,16), -
 format("ZZZ,ZZZ.XXX-")
.field plramt, d9.2, fpos(10,32), -
 format("$Z,ZZZ,ZZZ.XX-"), paint(" ")

.field plpost, d9.3, pos(11,1), prompt("Qty posted"), fpos(11,16), -
 format("ZZZ,ZZZ.XXX-")
.field plpamt, d9.2, fpos(11,32), -
 format("$Z,ZZZ,ZZZ.XX-"), paint(" ")

.field plcost, d9.3, pos(12,1), prompt("Unit cost"), fpos(12,16), -
 format("ZZZ,ZZZ.XXX-")

.field pldisc, d4.2, pos(13,1), prompt("Disc pct"), fpos(13,16), -
 format("ZZ.XX-")

.field plrqdt, d8, pos(14,1), prompt("Date required"), fpos(14,14), -
 date

.field plrcdt, d8, pos(14,28), prompt("Received"), fpos(14,36), -
 date

.field remark1, a60, pos(15,1), prompt("Remark 1"), fpos(15,10)

.field remark2, a60, pos(16,1), prompt("Remark 2"), fpos(16,10)

.field refrnc1, a60, pos(17,1), prompt("Reference 1"), fpos(17,13)

.field refrnc2, a60, pos(18,1), prompt("Reference 2"), fpos(18,13)

.structure rec1, <2>,plordr,plline,plltyp,plitem,pllocn,pldesc, -
        plvnid,<12>,plbuom,-
        <3>,plorqt,platdk,placpt,plrjct,plpost,plcost,pldisc,<9>,-
        plrqdt,plrcdt,<23>,remark1,<1>,remark2,<241>,refrnc1,<1>,refrnc2
.set set_show, rec1, plline,plordr,plltyp,pllocn,plitem,pldesc, -
        plvnid,plbuom,plorqt,platdk,placpt,plrjct,plpost,plcost, -
        pldisc,plrqdt,plrcdt,remark1,remark2,refrnc1,refrnc2
.end
;
